Whonix GW & WS upgrade failed (Help)

52 views
Skip to first unread message

qubes...@gmail.com

unread,
Nov 25, 2018, 5:29:43 PM11/25/18
to qubes-users
I wanted to upgrade Whonix-GW and Whonix-WS but it comes, see screnshoot, what should I do to upgrade properly?

https://ibb.co/x2SQ95r
https://ibb.co/ZXbTwrC

qubes...@gmail.com

unread,
Nov 25, 2018, 5:32:52 PM11/25/18
to qubes-users
see lower window on the screenshot, the upper window is what is written in the bottom to check

qubes...@gmail.com

unread,
Nov 27, 2018, 6:08:27 AM11/27/18
to qubes-users
I press upgrade at Whonix GW & WS and get this message, see Screnshoot, what should I do? thank you in advance ;)

https://ibb.co/XbCsJWQ

Fidel Ramos

unread,
Nov 27, 2018, 3:18:49 PM11/27/18
to qubes...@gmail.com, qubes-users
‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Tuesday, November 27, 2018 11:08 AM, <qubes...@gmail.com> wrote:

> I press upgrade at Whonix GW & WS and get this message, see Screnshoot, what should I do? thank you in advance ;)
>
> https://ibb.co/XbCsJWQ

Did you try any of the things proposed by the error message?

qubes...@gmail.com

unread,
Nov 28, 2018, 7:39:40 AM11/28/18
to qubes-users
so here is my file: /etc/qubes-rpc/policy/qubes.UpdatesProxy

see screenshot number 1
1) https://ibb.co/87qBcvc

here is the message what I should do with him, see screnshoot number 2
2) https://ibb.co/82TGjJF

Here is my question, I need a more specific answer: What do I have to change in my file now? do I have to delete everything on the 1 Screnshoot and write in there from the 2 Screnshoot? and if so I just have to write the red marked purely or continue to mark the green too? If you want you can also send me a finished pattern with screenshot or text, thanks in advance;)

Fidel Ramos

unread,
Nov 28, 2018, 3:04:23 PM11/28/18
to qubes...@gmail.com, qubes-users
‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, November 28, 2018 12:39 PM, <qubes...@gmail.com> wrote:

> so here is my file: /etc/qubes-rpc/policy/qubes.UpdatesProxy
>
> see screenshot number 1
>
> 1. https://ibb.co/87qBcvc
>
> here is the message what I should do with him, see screnshoot number 2
>
> 2. https://ibb.co/82TGjJF
>
> Here is my question, I need a more specific answer: What do I have to change in my file now? do I have to delete everything on the 1 Screnshoot and write in there from the 2 Screnshoot? and if so I just have to write the red marked purely or continue to mark the green too? If you want you can also send me a finished pattern with screenshot or text, thanks in advance;)

Maybe the problem lies in the use of $tag:whonix-updatevm, try replacing it with the exact name of the whonix template VMs, e.g.:

whonix-gw-14 $default allow,target=sys-whonix
whonix-ws-14 $default allow,target=sys-whonix

qubes...@gmail.com

unread,
Nov 28, 2018, 3:18:10 PM11/28/18
to qubes-users
ok Thanks, I'll test it and get back here.

qubes...@gmail.com

unread,
Nov 28, 2018, 7:36:14 PM11/28/18
to qubes-users
it did not help (sys-whonix is ​​on), it still shows this error: see Screnshots, what else can I do? thank you in advance ;)

https://ibb.co/9hvn46G

https://ibb.co/VwD7Fgq

Tseng Wynn

unread,
Nov 28, 2018, 9:38:09 PM11/28/18
to qubes-users
qubes...@gmail.com於 2018年11月29日星期四 UTC+8上午8時36分14秒寫道:
> it did not help (sys-whonix is ​​on), it still shows this error: see Screnshots, what else can I do? thank you in advance ;)
>
> https://ibb.co/9hvn46G
>
> https://ibb.co/VwD7Fgq

Did you try? Shutdown the Template VM and Restart the sys-whonix VM?

qubes...@gmail.com

unread,
Nov 29, 2018, 3:54:39 AM11/29/18
to qubes-users
yes I have, reboot brings nothing there :(

qubes...@gmail.com

unread,
Nov 29, 2018, 4:05:43 AM11/29/18
to qubes-users
and that happens sometimes, is that normal?

https://ibb.co/4fKLYkn

William Fisher

unread,
Nov 29, 2018, 7:58:04 PM11/29/18
to qubes-users
I gave up and reinstalled Qubes 4.0 without Whonix/Anon then loaded the “Stable version of Whonix 14” then recovered my Backed-up VMs that I wanted. Now it works without error.

William Fisher

unread,
Nov 29, 2018, 8:02:07 PM11/29/18
to qubes-users
After reinstalling Qubes 4.0 without Whonix, I installed Whonix with : https://www.whonix.org/wiki/Qubes/Install

qubes...@gmail.com

unread,
Nov 30, 2018, 3:03:01 PM11/30/18
to qubes-users
I try to fix the errors without reinstalation, if that does not work then I'll be back, if anyone has something else please write;)

Patrick Schleizer

unread,
Dec 17, 2018, 3:56:47 AM12/17/18
to qubes...@googlegroups.com
qubes...@gmail.com:
> I press upgrade at Whonix GW & WS and get this message, see Screnshoot, what should I do? thank you in advance ;)
>
> https://ibb.co/XbCsJWQ
>

The problem probably was that Whonix wasn't setup using Qubes salt.
Manual installation of Whonix is unsupported. Please use Qubes salt as
per documentation.

https://www.whonix.org/wiki/Qubes/Install

https://www.whonix.org/wiki/Qubes/Uninstall

https://www.whonix.org/wiki/Qubes/Reinstall

In response I improved that error message, created a new wiki page and
added a link from the error message to it.

https://www.whonix.org/wiki/Qubes/UpdatesProxy

qubes...@gmail.com

unread,
Dec 17, 2018, 4:59:48 AM12/17/18
to qubes-users
Thanks, I read through everything and try with the help of your left to fix the errors. I write after that if it worked. ;)

qubes...@gmail.com

unread,
Dec 18, 2018, 1:36:38 AM12/18/18
to qubes-users
many thanks for the new page with description and the link, I have Qubes 4. I manually rewrote the file /etc/qubes-rpc/policy/qubes.UpdatesProxy according to your instructions and now it works. Here is my screenshot with which it works now. thank you again

https://ibb.co/4TTkKbk

Reply all
Reply to author
Forward
0 new messages